#include "RTSP_Teardown_Request.h"
#include "Dispatcher.h"
#include "RTSP_Transport_Info.h"
#include "RTSP_Request_Packet.h"

RTSP_Teardown_Request::RTSP_Teardown_Request()
{
}

int RTSP_Teardown_Request::setRequestPacket(RTSP_Request_Packet *r)
{
    const char *transport = r->headers( )[ "Transport" ];
    cout << "RTSP_Teardown_Request::set RequestPacket: Transport is " << transport << endl;
    requestPacket_ = r;
    return 0;
}

void RTSP_Teardown_Request::dispatch(Dispatcher *dispatcher)
{
	dispatcher->handleTeardownRequest( this );
}


ostream& RTSP_Teardown_Request::put(ostream &os) const
{
    os << "RTSP_Teardown_Request:\n";
    return os;
}
