package Voyager.sdp.clients;

import sun.net.*;
import java.net.*;
import java.io.*;
import Voyager.sdp.*;

public class SDRCollector {

  public static void main(String[] args) {
    byte[] buffer = new byte[65509];
    DatagramPacket dp = new DatagramPacket(buffer, buffer.length);
  
    try {
      MulticastSocket ms = new MulticastSocket(Integer.parseInt(args[1]));
      ms.joinGroup(InetAddress.getByName(args[0]));
      while (true) {
        ms.receive(dp);
	System.out.println("Data Size: " + dp.getLength());
        String s = new String(dp.getData(), 0, 0, dp.getLength());
	Sdp session = new Sdp();
	try {
	  session.parse(s);
	
	  System.out.println(session.toString());
	} catch (SdpException se) {
	  System.out.println("Error parsing session.");
	}
      }
    } catch (SocketException se) {
      System.err.println(se);
    } catch (IOException ie) {
      System.err.println(ie);
    }  
  }
}
