
#ifndef _Play_Stream_Manager_h_
#define _Play_Stream_Manager_h_

#include "ace/Containers.h"
#include "Stream_Source.h"
#include "Voyager_Corba.h"

/////////////////////////////////////////////////////////////////////////////
//
// Play_Stream_Manager.h
//
// Revision History
//     15 Sep 97 - lisa - original version
//


class Play_Stream_Synchronizer;
class Playback_Network_Transport;
class RTSP_Setup_Request;
class RTSP_Play_Request;

class Play_Stream_Manager
{
public:
    Play_Stream_Manager(  VOY_Database_ptr ,RTSP_Setup_Request* ,
		              Play_Stream_Synchronizer* , 
			  Playback_Network_Transport* ,
			  VOY_String );
    ~Play_Stream_Manager( );

    void play( RTSP_Play_Request* );

    void teardown( void );

private:
    Stream_Source                   streamSrc_;
};
    
#endif
