#include "RTCP_Packet.h"

char*
RTCP_Packet::Report_Block::toString( void )
{
    static char buf[1000];
    sprintf(buf, "ssrc=%x loss=%d exths=%d jitter=%d lsr=%d dlsr=%d",
	    get_ssrc(),
	    get_loss_info(),
	    get_ext_highest_seq(),
	    get_jitter(),
	    get_last_sr(),
	    get_delay_since_last_sr());
	    
    return buf;
}

char*
RTCP_Packet::Sender_Info::toString( void )
{
    static char buf[1000];
    sprintf(buf, "ntp_ts=%d %d rtp_ts=%d packet_ct=%d octect_ct=%d",
	    get_ntp_timestamp_msw(),
	    get_ntp_timestamp_lsw(),
	    get_rtp_timestamp(),
	    get_packet_count(),
	    get_octet_count());
	    
    return buf;
}

