#ifndef _RTP_Listener_h_
#define _RTP_Listener_h_

#include "Packet_Handler.h"
#include "RTP_Packet.h"
#include "RTP_Packet_Sink.h"
#include <ace/SOCK_Dgram.h>



class ACE_Reactor;

class RTP_Listener : public Packet_Handler
{
public:
    
    RTP_Listener( ACE_SOCK_Dgram* , RTP_Packet_Sink* , ACE_Reactor* );
    ~RTP_Listener( void );

    virtual int handlePacket( char* buffer , int size , ACE_INET_Addr& );
    virtual char* getBuffer( int* size );

protected:

    RTP_Packet packetBuffer_;
    RTP_Packet_Sink* packetSink_;

    ACE_Reactor* reactor_;
};

#endif
